Gracias Gracias:  0
Me Gusta Me Gusta:  0
No me Gusta No me Gusta:  0
Página 1 de 2 12 ÚltimoÚltimo
Mostrando resultados del 1 al 10 de 16

Tema: Instalacion de drivers de adaptador usb tp-link

  1. #1
    Fecha de Ingreso
    31-julio-2019
    Ubicación
    CABA
    Mensajes
    9
    Post Thanks / Like
    Poder de Credibilidad
    0

    Instalacion de drivers de adaptador usb tp-link

    Hola a todos,
    soy nuevo en el foro (un par de dÃ*as), nuevo en openSuse (lo instale hace una semana aprox.) y nuevo en linux (desde que instale openSuse). Instale la versión Leap 15.1 en una maquina vieja con intenciones de aprender, para luego mudarme definitivamente a linux. Como dije, la pc donde instale openSuse es vieja (muy vieja dirÃ*a ...) y por lo tanto no tiene placa wifi, por lo que compre un adaptador usb (este: https://www.tp-link.com/ar/search/?q...roduct&s=MODEL), descargue los drivers para linux y los copie a dicha pc desde un usb... pero aun no logro que funcione el adaptador. Es decir, la situacion es esta: la pc no esta conectada a internet, tengo los drivers en un .zip pero no tengo idea como hacer que funcione. He buscado en la red pero en gral se instalan cosas teniendo internet en la compu. Sugerencias? perdón si el tema es medio pavo, pero para mi es todo nuevo al momento en linux...

    Algo de info de la pc:

    4.12.14-lp151.27-default

    cpu:
    Intel(R) Pentium(R) Dual CPU E2160 @ 1.80GHz, 1800 MHz

    graphics card:
    Intel 945G

    storage:
    Floppy disk controller
    Intel 82801G (ICH7 Family) IDE Controller
    Intel NM10/ICH7 Family SATA Controller [IDE mode]
    network:
    eth0 Qualcomm Atheros Attansic L2 Fast Ethernet
    network interface:
    lo Loopback network interface
    eth0 Ethernet network interface


    usb controller:
    Intel NM10/ICH7 Family USB UHCI Controller #3
    Intel NM10/ICH7 Family USB UHCI Controller #1
    Intel NM10/ICH7 Family USB2 EHCI Controller
    Intel NM10/ICH7 Family USB UHCI Controller #4
    Intel NM10/ICH7 Family USB UHCI Controller #2

    desde ya muchas gracias!!

  2. #2
    Fecha de Ingreso
    19-marzo-2005
    Ubicación
    En un lugar del planeta Tierra
    Mensajes
    17.361
    Post Thanks / Like
    Poder de Credibilidad
    10
    Bienvenido al foro @kritter, vemos que es tu 1er. mensaje en el foro. Estamos encantados de que te hayas dado de alta, como queremos ayudarte en tu desempeño en el foro tenemos unas normas del foro donde aprenderás cosas útiles como aportar datos, hacer preguntas, como buscar, etc... Es como una guía o navaja suiza para los novatos. Para evitarte futuros problemas en el foro fíjate lo que dice resaltado y en negrita la norma 5 sobre el objetivo primordial del foro y, sobre todo, la norma 7 de escribir claro y nítido para entendernos.

    Mirando el enlace que has puesto, veo que hay una guia de Linux y en ella dice que el driver es 88x2bu y en el forum de openSUSE se explica un método de instalación de ese driver: https://forums.opensuse.org/showthre...-8822BU-driver

    No obstante, para confirmar que es ese driver necesito datos, dame la salida de los comandos de esta guía

    Para compilar un driver, debes cumplir estas condiciones Como instalar un driver desde el codigo fuente

    Como eres nuevo, preséntate en la sección de Presentaciones y si tienes tiempo libre, acuérdate de leer las normas.
    Última edición por DiabloRojo; 03-ago-2019 a las 09:07
    NORMAS A CUMPLIR EN LOS FOROS (Lectura obligatoria) Lo siento, no contesto privados sobre problemas con GNU/Linux.
    Síguenos en TWITTER y en FACEBOOK
    Código:
    Buscador de   Alojamiento      Alojamiento     Otros
     paquetes:    de imágenes:     de ficheros:    buscadores:
    Search        TinyPic          Ifile Wuala     Simple y Facil
    Webpinstant   Paste Suse       SendSpace       TextSnip  Cl1p

  3. #3
    Fecha de Ingreso
    31-julio-2019
    Ubicación
    CABA
    Mensajes
    9
    Post Thanks / Like
    Poder de Credibilidad
    0
    Estimado, gracias por las sugerencias. He intentado hacer las cosas como se me dijo, pero mi ignorancia en linux es total al momento, y no he logrado tener internet en esa pc aun.

    Respondiendo a lo pedido:
    dame la salida de los comandos de esta guÃ*a
    Código:
    /usr/bin/lsusb 
    Bus 005 Device 003: ID 058f:6377 Alcor Micro Corp. AU6375 4-LUN card reader 
    Bus 005 Device 002: ID 2357:0126   
    Bus 005 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub 
    Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub 
    Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub 
    Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub 
    Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
    Código:
    /sbin/lspci -nnk 
    00:02.0 VGA compatible controller [0300]: Intel Corporation 82945G/GZ Integrated Graphics Controller [8086:2772] (rev 02) 
           Subsystem: Biostar Microtech Int'l Corp Device [1565:3103] 
           Kernel driver in use: i915 
           Kernel modules: i915 
    Â…Â…
     
    00:1f.1 IDE interface [0101]: Intel Corporation 82801G (ICH7 Family) IDE Controller [8086:27df] (rev 01) 
           Subsystem: Biostar Microtech Int'l Corp Device [1565:3103] 
           Kernel driver in use: ata_piix 
           Kernel modules: ata_piix, pata_acpi, ata_generic 
    00:1f.2 IDE interface [0101]: Intel Corporation NM10/ICH7 Family SATA Controller [IDE mode] [8086:27c0] (rev 01) 
           Subsystem: Biostar Microtech Int'l Corp Device [1565:5202] 
           Kernel driver in use: ata_piix 
           Kernel modules: ata_piix, pata_acpi, ata_generic 
    00:1f.3 SMBus [0c05]: Intel Corporation NM10/ICH7 Family SMBus Controller [8086:27da] (rev 01) 
           Subsystem: Biostar Microtech Int'l Corp Device [1565:3103] 
           Kernel driver in use: i801_smbus 
           Kernel modules: i2c_i801 
    02:00.0 Ethernet controller [0200]: Qualcomm Atheros Attansic L2 Fast Ethernet [1969:2048] (rev a0) 
           Subsystem: Biostar Microtech Int'l Corp Device [1565:2800] 
           Kernel driver in use: atl2 
           Kernel modules: atl2

    Como instalar un driver desde el codigo fuente
    esto me devuelve 'make':
    Código:
    make ARCH=x86_64 CROSS_COMPILE= -C /lib/modules/4.12.14-lp151.27-default/build M=/home/pablo/rtl8192EU_linux_v4.4.1.1_18873.20160805_BTCOEX20160412-0042-OK  mod
    ules 
    make[1]: *** /lib/modules/4.12.14-lp151.27-default/build: No existe el fichero o el directorio.  Alto. 
    make: *** [Makefile:1686: modules] Error 2
    consulta aparte:
    la carpeta descomprimida del driver debe alojarse en algun lugar en particular? (me surge la inquietud lo que dice: make[1]: *** /lib/modules/4.12.14-lp151.27-default/build: No existe el fichero o el directorio)


    mi ignorancia en el funcionamiento general de linux es extrema al momento (aunque estoy estudiando, es todo nuevo)... ocurre tambien que algunas cosas corresponden a versiones anteriores a la que tengo instalada, y eso confunde un poco....basicamente por ignorante, jeje

  4. #4
    Fecha de Ingreso
    19-marzo-2005
    Ubicación
    En un lugar del planeta Tierra
    Mensajes
    17.361
    Post Thanks / Like
    Poder de Credibilidad
    10
    Para compilar un driver, debes cumplir estas condiciones Como instalar un driver desde el codigo fuente

    No has leido el enalce de mi anterior mensaje, para compilar es necesario que cumplas las condiciones que indico en ese tema.

    Mira mi salida, en mi caso las cumplo, son de la misma version:
    Código:
    zypper search -si kernel | grep `uname -r | cut -d "-" -f -2`
    i+ | kernel-default       | paquete | 4.12.14-lp150.12.67.1 | x86_64       | openSUSE-Leap-15.0-Update-Oss
    i+ | kernel-default-devel | paquete | 4.12.14-lp150.12.67.1 | x86_64       | openSUSE-Leap-15.0-Update-Oss
    i+ | kernel-devel         | paquete | 4.12.14-lp150.12.67.1 | noarch       | openSUSE-Leap-15.0-Update-Oss
    i+ | kernel-macros        | paquete | 4.12.14-lp150.12.67.1 | noarch       | openSUSE-Leap-15.0-Update-Oss
    
    


    NORMAS A CUMPLIR EN LOS FOROS (Lectura obligatoria) Lo siento, no contesto privados sobre problemas con GNU/Linux.
    Síguenos en TWITTER y en FACEBOOK
    Código:
    Buscador de   Alojamiento      Alojamiento     Otros
     paquetes:    de imágenes:     de ficheros:    buscadores:
    Search        TinyPic          Ifile Wuala     Simple y Facil
    Webpinstant   Paste Suse       SendSpace       TextSnip  Cl1p

  5. #5
    Fecha de Ingreso
    31-julio-2019
    Ubicación
    CABA
    Mensajes
    9
    Post Thanks / Like
    Poder de Credibilidad
    0
    es cierto, disculpas, aca lo que me devuelve ese comando

    zypper search -si kernel | grep `uname -r | cut -d "-" -f -2`
    Error de descarga (curl) para http://download.opensuse.org/distrib...ta/repomd.xml:
    Código de error: Connection failed
    Mensaje de error: Could not resolve host: download.opensuse.org

  6. #6
    Fecha de Ingreso
    31-julio-2019
    Ubicación
    CABA
    Mensajes
    9
    Post Thanks / Like
    Poder de Credibilidad
    0
    olvide mostrar lo que me devuelve el primer comando, aqui va:

    sudo zypper install patterns-openSUSE-devel_basis kernel-devel
    Recuperando los metadatos del repositorio 'Non-OSS Repository' .................................................. ........................................[error]
    El repositorio 'Non-OSS Repository' no es válido.
    [repo-non-oss|http://download.opensuse.org/distrib...repo/non-oss/] No se han encontrado metadatos válidos en la URL especificada
    Compruebe si los URI definidos para este repositorio apuntan a un repositorio válido.
    Advertencia: Se va a omitir el repositorio 'Non-OSS Repository' debido al error anterior.
    Recuperando los metadatos del repositorio 'Main Repository' .................................................. ...........................................[error]
    El repositorio 'Main Repository' no es válido.
    [repo-oss|http://download.opensuse.org/distrib...5.1/repo/oss/] No se han encontrado metadatos válidos en la URL especificada
    Compruebe si los URI definidos para este repositorio apuntan a un repositorio válido.
    Advertencia: Se va a omitir el repositorio 'Main Repository' debido al error anterior.
    Recuperando los metadatos del repositorio 'Main Update Repository' .................................................. ....................................[error]
    El repositorio 'Main Update Repository' no es válido.
    [repo-update|http://download.opensuse.org/update/leap/15.1/oss/] No se han encontrado metadatos válidos en la URL especificada
    Compruebe si los URI definidos para este repositorio apuntan a un repositorio válido.
    Advertencia: Se va a omitir el repositorio 'Main Update Repository' debido al error anterior.
    Recuperando los metadatos del repositorio 'Update Repository (Non-Oss)' .................................................. ...............................[error]
    El repositorio 'Update Repository (Non-Oss)' no es válido.
    [repo-update-non-oss|http://download.opensuse.org/update/leap/15.1/non-oss/] No se han encontrado metadatos válidos en la URL especificada
    Compruebe si los URI definidos para este repositorio apuntan a un repositorio válido.
    Advertencia: Se va a omitir el repositorio 'Update Repository (Non-Oss)' debido al error anterior.
    Algunos de los repositorios no se han actualizado debido a un error.
    Cargando datos del repositorio...
    Leyendo los paquetes instalados...
    'kernel-devel' no se ha encontrado en los nombres de paquetes. Se realizará la búsqueda en las características.
    No se encuentran proveedores de 'kernel-devel'.
    'patterns-openSUSE-devel_basis' no se ha encontrado en los nombres de paquetes. Se realizará la búsqueda en las características.
    No se encuentran proveedores de 'patterns-openSUSE-devel_basis'.

  7. #7
    Fecha de Ingreso
    19-marzo-2005
    Ubicación
    En un lugar del planeta Tierra
    Mensajes
    17.361
    Post Thanks / Like
    Poder de Credibilidad
    10
    Parece que tienes un problema con ese repo cuyo enlace esta bien: http://download.opensuse.org/distrib.../repo/non-oss/

    Borrarlo y vuelve a crearlo, hazlo desde Yast
    NORMAS A CUMPLIR EN LOS FOROS (Lectura obligatoria) Lo siento, no contesto privados sobre problemas con GNU/Linux.
    Síguenos en TWITTER y en FACEBOOK
    Código:
    Buscador de   Alojamiento      Alojamiento     Otros
     paquetes:    de imágenes:     de ficheros:    buscadores:
    Search        TinyPic          Ifile Wuala     Simple y Facil
    Webpinstant   Paste Suse       SendSpace       TextSnip  Cl1p

  8. #8
    Fecha de Ingreso
    31-julio-2019
    Ubicación
    CABA
    Mensajes
    9
    Post Thanks / Like
    Poder de Credibilidad
    0
    Es posible hacer esto sin internet? recuerdo que no tengo manera de que la pc tenga internet si no es por wifi (que es lo que estoy tratando de resolver originalmente...). Del enlace que me das parece no ser posible descargar a un usb, por ej...(instale openSUSE desde un usb booteable, podra venir por ahi el problema?)

  9. #9
    Fecha de Ingreso
    19-marzo-2005
    Ubicación
    En un lugar del planeta Tierra
    Mensajes
    17.361
    Post Thanks / Like
    Poder de Credibilidad
    10
    Sin Internet es usar el DVD o USB de instalación pero nunca te actualizara, otra cosa es descargar los rpms del repo de openSUSE, crear una carpeta y en Yast pones esa carpeta como repositorio local.
    NORMAS A CUMPLIR EN LOS FOROS (Lectura obligatoria) Lo siento, no contesto privados sobre problemas con GNU/Linux.
    Síguenos en TWITTER y en FACEBOOK
    Código:
    Buscador de   Alojamiento      Alojamiento     Otros
     paquetes:    de imágenes:     de ficheros:    buscadores:
    Search        TinyPic          Ifile Wuala     Simple y Facil
    Webpinstant   Paste Suse       SendSpace       TextSnip  Cl1p

  10. #10
    Fecha de Ingreso
    31-julio-2019
    Ubicación
    CABA
    Mensajes
    9
    Post Thanks / Like
    Poder de Credibilidad
    0

    ok...

    pero en http://download.opensuse.org/distrib.../repo/non-oss/ hay un monton de archivos rpm, como identifico los que necesito? son todos? Es posible que devuelva estos errores porque los repositorios tienen asociados una direccion en internet (las que se ven en yast)?
    a esta altura tengo una cadena de problemas solo para instalar el driver de una antena...estoy como turco en la neblina...sin animo de ofendera ningun turco, solo un dicho

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Temas Similares

  1. Respuestas: 0
    Último mensaje: 17-may-2014, 03:10
  2. Conexion intermitente Adaptador USB TP Link wn725
    By joanhalo2 in forum Hardware
    Respuestas: 1
    Último mensaje: 07-nov-2013, 20:36
  3. Respuestas: 2
    Último mensaje: 16-ene-2013, 19:15
  4. Respuestas: 17
    Último mensaje: 13-jun-2007, 19:37
  5. instalación D-Link 504T en opensuse 10.2
    By Tulga Wanda in forum Internet, Redes y Wireless
    Respuestas: 2
    Último mensaje: 26-may-2007, 09:38

Marcadores

Normas de Publicación

  • No puedes crear nuevos temas
  • No puedes responder mensajes
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •